import { ReactComponentElement } from "react";

export interface IRoute {
  name: string;
  layout: string;
  icon: ReactComponentElement | string;
  secondary?: boolean;
  path: string;
  permissionPrefix?: string;
  children?: ChildRoute[]; // Define a ChildRoute type
}

export interface ChildRoute {
  name: string;
  layout: string;
  icon: ReactComponentElement | string;
  secondary?: boolean;
  path: string;
  permissionPrefix?: string;
  // Add other properties as needed for child routes
}
